Tilbage EAMOit is HTML5 and dosnt support Internet Explore 8 and earliere versions, you will experiance inconsistencies.


We recommend that you download one of the following browsers which keeps itself up to date with the newest web standards and security.